Name: ctp3-mon-web
Version: 0.3.0
Release: 0%{?dist}
Summary: CTP3 monitoring web app - Monitoring web page for ALICE ctp3
Group: System Environment/Libraries
License: LGPL v3+
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: cmake, nodejs
Requires: nginx

%global debug_package %{nil}

%description
CTP3 monitoring web app - Monitoring web page for ALICE ctp3

%prep
%setup -q

%build
npm install
npm run build --production
mkdir build-cmake
cd build-cmake
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr/share/%{name}
cd ../

%install
rm -rf %{buildroot}
cd build-cmake
make install DESTDIR=%{buildroot}
cd ../

%post
sed -i 's/^  API_URL:.*/  API_URL:'$(hostname -f)':8442/' %{_datadir}/%{name}/build/env.js

%files
%{_datadir}/%{name}/*

%config(noreplace) %{_sysconfdir}/nginx/nginx.conf.%{name}.http

%changelog
